/************************************************************************************
* This header file defines common data types
*
* (c) Copyright 2006, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale.
*
************************************************************************************/
#ifndef _GLOBAL_DEFS_
#define _GLOBAL_DEFS_

#include "typedef.h"

/************************************************************************************
*************************************************************************************
* Public macros
*************************************************************************************
************************************************************************************/
typedef void(*callback_t)(void);

/************************************************************************************
*************************************************************************************
* Public prototypes
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Public type definitions
*************************************************************************************
************************************************************************************/

/*
typedef enum{
  false,
  true
} bool_t;


typedef signed char int8_t;        // signed 8 bit integer
typedef unsigned char uint8_t;     // unsigned 8 bit integer
typedef signed short int16_t;      // signed 16 bit integer
typedef unsigned short uint16_t;   // unsigned 16 bit integer
typedef signed long int32_t;       // signed 32 bit integer
typedef unsigned long uint32_t;    // unsigned 32 bit integer

typedef signed short intn16_t;     // signed integer with at least 16 bits (compiler dependent)
typedef unsigned short uintn16_t;  // unsigned integer with at least 16 bits (compiler dependent)
typedef signed char intn8_t;       // signed integer with at least 8 bits (compiler dependent)
typedef unsigned char uintn8_t;    // unsigned integer with at least 8 bits (compiler dependent)
typedef signed long intn32_t;      // signed integer with at least 32 bits (compiler dependent)
typedef unsigned long uintn32_t;   // unsigned integer with at least 32 bits (compiler dependent)


#define FALSE 0
#define TRUE 1

#ifndef NULL
#define NULL (void *)(0)
#endif*/

#define gNull_c (0)

typedef enum FuncReturn_tag
{
  gSuccess_c = 0,
  gFailOutOfRange_c,
  gFailNoResourcesAvailable_c,
  gFailNoValidCondition_c,
  gFail_c
} FuncReturn_t;

typedef enum Versioned_Entity_tag
{
  SW_SMAC_VER = 0,
  HW_KAIBAB_VER,
  HW_MACA_VER,
  HW_ASM_VER,
  HW_CRM_VER,
  HW_RTX_VER,
  MAX_VERSIONED_ENTITIES
} Versioned_Entity_t;


/************************************************************************************
*************************************************************************************
* Public memory declarations
*************************************************************************************
************************************************************************************/

/************************************************************************************
*************************************************************************************
* Public functions
*************************************************************************************
************************************************************************************/




/**********************************************************************************/

#endif /* _GLOBAL_DEFS_ */
