#ifndef __MyTypes_H__               //Conditional Compilation
  #define __MyTypes_H__

  /************************************************************************************************/
  /*                                      Includes Section                                        */
  /************************************************************************************************/


  /************************************************************************************************/
  /*                                    Typedef Section                                           */
  /************************************************************************************************/

     typedef signed char INT8;
     typedef unsigned char UINT8;
     typedef unsigned int UINT16;
     typedef unsigned long UINT32;

     typedef struct
     {
          UINT8 bPrevState;
          UINT8 bActualState;
          UINT8 bNextState;
          UINT8 bNextToNextState;
          UINT8 bErrorState;
     }_sMachineState;
  /************************************************************************************************/
  /*                                    Defines & Macros Section                                  */
  /************************************************************************************************/


  /************************************************************************************************/
  /*                                    Extern Variables Section                                  */
  /************************************************************************************************/
    
    
  /************************************************************************************************/
  /*                                  Function Prototipes Section                                 */
  /************************************************************************************************/


  /************************************************************************************************/
#endif