#ifndef __Language_Handler__
#define __Language_Handler__

/* Includes */
#include "MyTypes.h"
#include "derivative.h"
#include "Voice.h"

/* Defines */
#define SPANISH_BASE_ADDRESS    0
#define ENGLISH_BASE_ADDRESS    29
#define FRENCH_BASE_ADDRESS     55

/// Spanish Definitions 

#define SOBRE               SPANISH_BASE_ADDRESS+27
#define SU_PRESION_ES       SPANISH_BASE_ADDRESS+29

/// English Definitions 
#define OVER                ENGLISH_BASE_ADDRESS+24
#define YOUR_PRESSURE_IS    ENGLISH_BASE_ADDRESS+26

/// French Definitions 
#define SUR                 FRENCH_BASE_ADDRESS+29
#define VOTRE_PRESSIONEST   FRENCH_BASE_ADDRESS+30


/* Prototypes */
void Voice_Spanish_Handler(UINT8);
void Voice_English_Handler(UINT8);
void Voice_French_Handler(UINT8);



#endif /* __Language_Handler__ */