#ifndef __Voice__
#define __Voice__

/* Includes */
#include "MyTypes.h"
#include "derivative.h"
#include "MRAM.h"
#include "SCI.h"
#include "Voice_Debug.h"

/* Defines */

#define PWM_RESOLUTION  0
#define PWM_MODULO      255
#define SAMPLE_RATE     3125
/*
3125 -> 8 Khz
1562 -> 16 Khz
781  -> 32 Khz
*/

/* Prototypes */
void Voice_Init(void);
void Voice_Loader(void);
void Voice_Play(UINT8);
UINT32 VoiceGetAddress(UINT8);
void Voice_Stop(void);



#endif /* __Voice__ */