#ifndef __Storage__
#define __Storage__

/* Includes */
#include "MyTypes.h"
#include "MRAM.h"
#include "SCI.h"

/* Definitions */
#define DIASTOLIC   0
#define SISTOLIC    1
#define PULSES      2

#define DATA_BASE_ADDRESS 0x7F448
#define SETTINGS_ADDRESS  0x7F447

/* Prototypes */
void Storage_Bakcup_Settings(UINT8);
UINT8 Storage_Restore_Settings(void);
void Storge_Write(UINT16,UINT16,UINT16);
void Storage_Erase_All(void);
UINT8 Storage_How_Many(void);
UINT16 Storage_Get_Data(UINT8,UINT8);
void Storage_USB_Handler(void);
void Storage_Send16bits(UINT16);

void Storage_USB_Manager(void);
void Storge_FIFO_Save(UINT8,UINT8,UINT8);
void Storage_FIFO_Restore(void);
void Storage_FIFO_ClearAll(void);




#endif   /* __Storage__ */